Update current user's profile
PATCH
/v1/users/me
const url = 'https://app.everruns.com/api/v1/users/me';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"name":"Jane Doe"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://app.everruns.com/api/v1/users/me \ --header 'Content-Type: application/json' \ --data '{ "name": "Jane Doe" }'Request Body required
Section titled “Request Body required ” Media type application/json
Request to update current user’s profile
object
name
required
New display name
string
Example
Jane DoeResponses
Section titled “ Responses ”Profile updated
Media type application/json
Response from profile update
object
avatar_url
string | null
email
required
string
id
required
Prefixed public identifier. See ID Schema.
string
name
required
Human-readable name. Safe to render in user-facing messages.
string
Example generated
{ "avatar_url": "example", "email": "example", "id": "example", "name": "example"}Invalid request (empty name)
Unauthorized
Internal server error